> For the complete documentation index, see [llms.txt](https://docs.validationcloud.io/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.validationcloud.io/v1/tron/tron-solidity-api/trc10-token/getassetissuebyname.md).

# GetAssetIssueByName

Query a token by name, returns token info (Confirmed state).

This method will use `30` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

* `value` - String - TRC 10 token name, default hexString

## **Returns**

Token found with the provided Name - AssetIssueCapsule which including the following fields:

| Field                           | Type            | Description                                                                                 |
| ------------------------------- | --------------- | ------------------------------------------------------------------------------------------- |
| id                              | string          | token ID                                                                                    |
| owner\_address                  | string          | issuer address                                                                              |
| name                            | string          | token name                                                                                  |
| abbr                            | string          | token abbr                                                                                  |
| total\_supply                   | int64           | total supply                                                                                |
| frozen\_supply                  | FrozenSupply\[] | The number of tokens to be frozen is specified by the issuer of the token when it is issued |
| trx\_num                        | int32           | Define the price by the ratio of trx\_num/num(The unit of 'trx\_num' is SUN)                |
| num                             | int32           | Define the price by the ratio of trx\_num/num(The unit of 'trx\_num' is SUN)                |
| precision                       | int32           | precision                                                                                   |
| start\_time                     | int64           | ICO start time                                                                              |
| end\_time                       | int64           | ICO end time                                                                                |
| description                     | string          | token description                                                                           |
| url                             | string          | Token official website url, default hexString                                               |
| free\_asset\_net\_limit         | int64           | Token free asset net limit                                                                  |
| public\_free\_asset\_net\_limit | int64           | Token public free asset net limit for a account                                             |
| public\_free\_asset\_net\_usage | int64           | The total number of token free bandwidth used by all token owner                            |
| public\_latest\_free\_net\_time | int64           | The timestamp of the last consumption of this token's free bandwidth                        |

```json
// Result
{
  "owner_address": "412e1934759faf93497d6742208e2e521f7043e2ff",
  "name": "62747474657374",
  "abbr": "62747474657374",
  "total_supply": 1000000000000000,
  "trx_num": 1000000,
  "precision": 6,
  "num": 1000000,
  "start_time": 1575648000000,
  "end_time": 1575734400000,
  "description": "62747474657374",
  "url": "68747470733a2f2f62746673736f7465722e726561646d652e696f2f646f63732f686f772d746f2d6765742d737461727465642d776974682d736f746572",
  "id": "1000001"
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.tron.validationcloud.io/v1/<YOUR_API_KEY_HERE>/walletsolidity/getassetissuebyname \
    -X POST \
    -H "Content-Type: application/json" \
    -d '
{
  "value": "62747474657374"
}
'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.validationcloud.io/v1/tron/tron-solidity-api/trc10-token/getassetissuebyname.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
